#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main() {
	int n, k, m=0, a;
	list<int> lista;
	cin>>n>>k;
	long int duzina=2*n+1;
	int niz[duzina]={0};
	for(int i=0; i<n; i++){
		cin>>a;
		niz[n+a]++;
	}
	for(int i=0;i<duzina;i++){
		if(niz[i]>=k){
			lista.push_back(i-n);
			m++;
		}	
	}
	cout<<m<<endl;
	for(int x : lista)
		cout<<x<<" ";
}